[GitHub] [tapestry-5] derkoe opened a new pull request #28: Update 5.3.x to current dependencies and support Java 11

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] derkoe opened a new pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox

derkoe opened a new pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28


   This updates most dependencies to recent versions and makes Tapestry 5.3.x run in Java 11.
   
   We have tested this with a big Tapestry application and it all seems to work quite well.
   
   Would be great to see a 5.3.9 with Java 11 support.


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] derkoe commented on pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox

derkoe commented on pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28#issuecomment-706192664


   @thiagohp maybe you can have a look at that - thanks!


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] derkoe commented on pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox
In reply to this post by GitBox

derkoe commented on pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28#issuecomment-706215453


   Strange the same build just worked in my repo: https://github.com/derkoe/tapestry-5/runs/1231050611


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] martin-g commented on pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox
In reply to this post by GitBox

martin-g commented on pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28#issuecomment-708318365


   Why don't you use newer version ?
   Like 5.6.1


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] martin-g edited a comment on pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox
In reply to this post by GitBox

martin-g edited a comment on pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28#issuecomment-708318365


   Why don't you use a newer version ?
   Like 5.6.1


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[GitHub] [tapestry-5] derkoe commented on pull request #28: Update 5.3.x to current dependencies and support Java 11

GitBox
In reply to this post by GitBox

derkoe commented on pull request #28:
URL: https://github.com/apache/tapestry-5/pull/28#issuecomment-708373496


   @martin-g because 5.4 was a big release with many breaking changes which makes updates of bigger applications nearly impossible. It should have been called Tapestry 6.


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]